output "arn" {
  value = aws_mq_broker.default.arn
}

output "console_urls" {
  value = [for i in aws_mq_broker.default.instances : i.console_url]
}

locals {
  openwire = flatten([for i in aws_mq_broker.default.instances : [for e in i.endpoints : e if endswith(e, "61617")]])
  amqp     = flatten([for i in aws_mq_broker.default.instances : [for e in i.endpoints : e if endswith(e, "5671")]])
  stomp    = flatten([for i in aws_mq_broker.default.instances : [for e in i.endpoints : e if endswith(e, "61614")]])
  mqtt     = flatten([for i in aws_mq_broker.default.instances : [for e in i.endpoints : e if endswith(e, "8883")]])
  ws       = flatten([for i in aws_mq_broker.default.instances : [for e in i.endpoints : e if endswith(e, "61619")]])
}

## object containing all the failover endpoints
output "endpoints" {
  value = {
    "amqp"     = format("failover:(%s)", join(",", local.amqp))
    "console"  = [for i in aws_mq_broker.default.instances : i.console_url][0]
    "mqtt"     = format("failover:(%s)", join(",", local.mqtt))
    "openwire" = format("failover:(%s)", join(",", local.openwire))
    "stomp"    = format("failover:(%s)", join(",", local.stomp))
    "ws"       = format("failover:(%s)", join(",", local.ws))
  }
}

## object containing all the info
output "instances" {
  value = aws_mq_broker.default.instances
}

output "id" {
  value = aws_mq_broker.default.id
}

output "configuration" {
  value = aws_mq_broker.default.configuration[0]
}
